
Infrastructure - Bug #1851

CN resolve() throws incorrect exception when object not found

2011-10-12 06:50 - Matthew Jones

Status: Closed Start date:  

Priority: High Due date:  

Assignee: Robert Waltz % Done: 100%

Category: d1_cn_service Estimated time: 0.00 hour

Target version: Sprint-2011.41-Block.5   

Milestone: CCI-0.6.4 Story Points:  

Product Version: *   

Description

History

#1 - 2011-10-12 06:55 - Matthew Jones

- Category set to d1_cn_service

- Target version set to Sprint-2011.41-Block.5

The CN resolve() service used to throw a NotFound exception when asked to resolve a pid that doesn't exist.  Now it instead throws a ServiceFailure

(which is wrong, as the service didn't fail, it just didn't find the pid), and so our Java client code looking for the NotFound exception no longer works. 

Please change it back so that the proper NotFound exception is thrown.

To replicate the bug resolve any ID that does not exist. For example, currently if you visit:

https://cn-dev.dataone.org/cn/v1/resolve/charlie2314

resolve() gives back:

<?xml version="1.0" encoding="UTF-8"?>

Unrecognized getSystemMetadata failure: No record found for charlie2314

#2 - 2011-10-12 16:49 - Robert Waltz

- Status changed from New to In Progress

- Assignee set to Robert Waltz

- Priority changed from Normal to High

#3 - 2011-10-13 01:58 - Robert Waltz

- Status changed from In Progress to Closed
